/***************************************************************************
 *            i18n.h
 *
 *  Sun Jan 21 14:29:28 2007
 *  Copyright  2007  Fernando Tarín Morales
 *  icemanf@gmail.com
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#ifndef _I18N_H
#define _I18N_H

#ifndef GETTEXT_PACKAGE
#error "config.h must be included prior to i18n.h"
#endif

#include <libintl.h>
#include <locale.h>

#ifdef _
#undef _
#endif

#ifdef N_
#undef N_
#endif

#define _(x) gettext (x)
#define N_(x) x


#endif /* _I18N_H */
